<div>
    <div *ngIf="inProgress">
        <span>Session is in progress...</span>

        <hr />
        <button type="button" class="end-button" label="End session" (click)="endSession()" pButton></button>
    </div>
    <div *ngIf="!inProgress">
        <div *ngIf="userType == USER_TYPES.learner">
            <div style="margin-bottom: 15px;">
                <label for="rating" style="padding-right: 10px;">Rating:</label>
                <p-rating [(ngModel)]="stars" [ngStyle]="{'display':'inline-block'}" stars="5" id="rating"></p-rating>
            </div>
            <div>
                <label for="comment" style="padding-right: 10px; vertical-align: top;">Comment:</label>
                <textarea pInputTextarea [(ngModel)]="comment" id="comment"></textarea>
            </div>

            <hr />
            <div>
                <button type="button" class="skip-button" label="Skip review" (click)="skipReview()" pButton></button>
                <button type="button" class="post-button" label="Post review" (click)="postReview()" pButton></button>
            </div>
        </div>
        <div *ngIf="userType == USER_TYPES.tutor">
            <div>
                <label for="note" style="padding-right: 10px; vertical-align: top;">Note:</label>
                <textarea pInputTextarea [(ngModel)]="note" id="note"></textarea>
            </div>

            <hr />
            <div>
                <button type="button" class="skip-button" label="Skip note" (click)="skipNote()" pButton></button>
                <button type="button" class="post-button" label="Post note" (click)="postNote()" pButton></button>
            </div>
        </div>
    </div>
</div>
